Loading...
 

티키 사이트 업그레이드하기

티키를 업그레이드하는 것은 설치 와 매우 유사합니다. 업그레이드는 일방향 작업 입니다. 다운그레이드 하는 방법은 없습니다, 단 백업을 복원하여 이전 버전으로 되돌릴 수는 있습니다. 메이저 업그레이드를 수행하기 전에 (예를 들면, 6.x 에서 8.x 으로) 실제 업그레이드 절차를 밝기 전에 비업무환경 사이트에서 테스트 업그레이드를 수행하십시오.

업그레이드를 해야되는가?
보안 취약성을 제거하기 위하여, 현재 릴리스에서 마이너 버전 업그레이드를 하는 것은 항상 추천되는 바입니다 (예를 들면, 7.3 에서 7.4 으로). 티키의 어떤 버전들은 장기 지원판 으로 나열되며, 이는 그 해당 버전과 관련하여 개발자들이 확장된 기간 동안 보안 패치 및 버그 수정을 지속적으로 진행한다는 것을 의미합니다. 마이너 버전 업그레이드는 문제를 일으킬 가능성이 낮습니다.

메이저 업그레이드는 새로운 기능을 소개합니다, 하지만 기존 기능, 테마, 플러그인, 및 모듈들이 이전 처럼 작동하지 않을 수도 있습니다. 시험 업그레드를 해보는 것을 강력이 추천합니다.

개요: 업그레이드가 작동하는 법
  1. 현재 설치에서 파일과 데이터베이스를 백업.

  2. 새 버전을 설치, 가능하면 빈 폴더에서.

  3. 백업에서 맞춤형 파일들 (css, 업로드 된 파일과 이미지, 맞춤형 템플릿들) 을 복사.

  4. 설치관리자를 실행 (tiki-install.php) 하여 데이터베이스를 업그레이드


전체를 다운로드하고 업로드를 꼭 해야만 하나요? - 어떤 업그레이드는 "패치 버전" 이 제공됩니다만, 소수의 파일만이 수정되었을 경우에만 입니다.

FTP 에 대한 대안: 페키지 전체를 다운로드하고 다시 업로드하는 것 보다는, svn 혹은 wget 과 같은 명령어 (호스팅 제공자에게 문의하십시오) 를 사용하여 파읻들을 SourceForge 에서 서버로 직접 이동하십시오.

추가 상세 설명서

1.1. 티키의 현재 버전을 확인

tiki-admin.php?page=general 을 방문하여 확인 가능합니다

3.x 이 후 버전을 실행하고 계신 경우

직접 업그레이드가 가능합니다. 티키 4.x/5.x/6.x/7.x/8.x/9.x/10.x/11.x/12.x 는 각각 해당 버전으로의 데이터베이스 마이그레이션 스크립트를 포함하고 있습니다. 현재 실행 중인 버전에 대하여 설치 스크립트를 수작업으로 재실행하고 예상하지 못했던 오류가 발생하는 지 주시하시는 것을 고려해 보십시오.

1.9 혹은 2.0을 실행 중일 경우

[+]

1.8.x 를 실행 중이라면

[+]

1.7.x 를 실행 중이라면

[+]

1.6.x 혹은 이 전 버전을 실행 중이라면

[+]

1.2. 사용자 지정 테마에 관하여

사용자 지정 테마 비활성화: 과거 버전들에서의 사용자 지정 테마와 사용자 지정 .tpl 파일들은 작동하지 않을 가능성이 크며, 업그레이 실패의 원인이 될 수 있습니다. 활성 css 파일의 이름을 변경하여 새 설치에서 맞춤형 테마를 비활성화하여서 티키에서 발견되지 않도록 하십시오 - 기본 테마로 돌아가도록 할 것입니다.

1.3. 어떤 버전으로 업그레이드를 할 것인지 결정

Tiki6Tiki9 은 장기간 지원 (LTS) 으로 유지되며 그 브랜치에서 최신 릴리스로 업그레이드 하는 것은 항상 안전하다는 것을 염두에 두시기 바랍니다. 많은 기능들을 광범위하게 사용하는 업무용 사이트를 실행 중이라면 현재 안정적 브랜치 x.1 (즉, 7.0 대신에 7.1) 를 사용하는 것이 언제나 더 안전합니다.


새 배포판의 몇몇 경우에는 (예를 들면 6.3에서는), 변경된 파일("tikiwiki-inc-6.2-to-6.3.tar.gz" 과 같은 압축파일) 만 다운로드하거나 새 버전 전체를 다운로드 (예 "tikiwiki-6.3.tar.gz") 한 후 설치할 수 있는 선택사항이 있습니다.

1.4. 업그레이드를 새로 설치 통하여 혹은 기존 설치에 덮어쓰기를 통하여?

새로 설치 (추천)

MySQL 데이터베이스에 저장되어있지 않은 데이터는 수동으로 이동하거나 재통합해야할 필요가 있습니다, 예를 든다면, 파일로 저장된 그림과 첨부파일과 같은 것들입니다. 이 방식은 추천되는 프로세스이며, 특히 맞춤형 테마 스타일을 보유할 경우 혹은 사용하려는 새 티키 버전에서 하나의 테마 스타일이 지원되지 않을 경우 그러합니다.

기존 버전 덮어쓰기로 설치하기 (메이저 업데이트에는 절대 추천되지 않음)

이는 기존의 버전에서 사용되었지먼 더 이상 필요하지 않은 그 어떠한 티키 파일도 삭제하지 않을 것입니다. 이 파일들은, 템플릿 파일 (./templates 디렉토리 혹은 하위 폴더에 있는 .tpl 파일들) 의 경우를 제외하고는, 디스크 공간의 약간부분을 낭비하는 것 외에는 아무런 일도 하지 않습니다. 남겨진 PHP 파일들을 감지하려면 Security Admin 을 사용할 수 있습니다.

이 방식이 비추천되는 이유는 이전 티키 버전에서의 모든 파일들을 보관하기 때문입니다, 이는 구식의 tpl 파일들을 포함할 수 있으며, 티키의 새 버전에서 변경되었거나 지원도지 않은 테마처럼 새 버전과 충돌할 수 있습니다. 이러한 이유로 그 어떠한 잠재적 충돌을 피하기 위한 최고의 선택사항은 새 디렉토리에 새 티키를 설치하고 이전 것을 새 것으로 교체하고, 추가로 필요한 맞춤형 파일을 재삽입하는 것입니다 (새 티키 버전으로 갱신되었기때문에 img/wiki_up, 수정된 tpl 파일들을 한 번 해줘야함). 아래의 "새로 설치 (Fresh Install)" 을 살펴보십시오.

만약 마이너 배포라면 (7.1 에서 7.2 로), 별다른 이슈를 야기할 가능성이 적습니다, 이는 템플릿이 변경되는 부분이 적으며 마이너 배포는 대부분의 경우 단순히 버그 수정이기 때문입니다.

1.5. 백업 만들기


다음 사항들의 백업을 만들어두어야 합니다

  1. 티키가 설치된 폴더 전체 (및 하위 폴더들)
  2. MySQL 데이터베이스

참조: 상세내역은 백업 을 살펴보십시오.

1.6. 파일 갱신하기

티키 파일들은 압축된 보관용 파일로 배포됩니다 (ex.: .zip). 파일들을 언팩 (unzip) 을 하고 웹서버로 업로드 해야 합니다.

새로 설치

귀하의 예전 파일들을 복사하는 대신에, 새로 설치를 하실 수 있습니다. 티키 5.1 보다 이전 버전에서 업그레이드하는 경우, 귀하의 이전 티키 설치의 데이터베이스 정보를 지정할 수 있습니다(db/local.php 내에 정보).

5.1 이후 티키 버전들 (5.3, 6.0, 9.x, 12.x ...) 에 대한 주의점 : 새 사이트로 귀하의 과거 local.php 를 수작업으로 복사하거나 편집하는 것을 하지 마시고 티키 설치프로그램 스크립트 (tiki-install.php) 가 추후 단계에서 필요 시 그 local.php를 만들게 두라고 권해 드립니다, 이는 귀하를 위하여 이전 인코딩 문제점을 적절하게 처리할 것이기 때문입니다.


이전 사이트에서 새 사이트로 복사해올 필요가 있는 것들:

  • img/wiki_up 폴더 파일들 (업로드된 위키 그림들)
  • img/trackers 폴더 파일들 (트래커 항목들로 업로드된 그림들)
  • 사용자 지정된 모든 *.tpl 파일들
  • 사용자 지징된 모든 스타일 ( *.css )
  • 파일을 저장하기 위하여 파일 시스템을 사용했을 경우 파일 갤러리 디렉터리 전부
  • 그림을 저장하기 위하여 파일 시스템을 사용했을 경우 그림 갤러리 디렉터리 전부
  • 사용자 지정 코드 전부
    • 다른 분들이 유용하게 쓸 수 있는 변경을 만든 경우, 티키 커뮤니티에 참여하여 향상된 부분을 공유하는 것을 고려해 주십시오. 다른 분들을 돕는 것 외에도 매번 업그레이드할 때마다 귀하께서 발전시킨 부분을 재 설치하고 유지해야할 필요가 더 이상 업어집니다. 커밋 접근권한 얻는 법 을 참조하십시오. biggrin


데이터베이스 데이터 정렬

업그레이드를 하지만 새 서버에서 하는 경우, 먼저 새 데이터베이스를 생성해야 합니다. 새 데이터 베이스를 utf8 collation 으로 만든다는 것을 확인하여 주십시오.

  • 주의: 기본으로, 티키는데이터베이스 인코딩에 대하여 UTF-8 을 사용합니다. 우리는 phpmyadmin (혹은 유사한 도구에서) 다음 그림에서 보이는 필드에서 "collation" 드롭다운 상자에 "utf8"을 선택하실 것을 강력히 추천합니다,
    mysql-collation_phpmyadmin.jpg


tiki-install.php 을 통하여 티키 5.1 (혹은 이후 버전) 으로 업그레이드 하는 동안, 티키는 귀하를 위하여 필요할 경우 이와 같이 이행하려고 시도할 것입니다, 하지만 몇 안되는 흔하지 않은 경우에서 티키가 데이터 정렬를 utf8 으로 설정하는 것에 실패하기도 합니다, 그럴 경우에는 수작업으로 진행하셔야만 합니다. 데이터베이스가 이미 latin1 데이터정렬로 만들어져있고, 그 후에 변경을 원하신다면, 데이터베이스를 선택하신 후, 데이터 정렬을 phpmyadmin 을 통하여 "Operations" 탭 안에서 변경 있습니다.

기존 설치에 덮어쓰기

업그레이들르 하려면, 이전 버전의 파일들 위에 새로운 버전의 파일들 전부를 복사하거나 업로드하여서 그 어떤 이전 파일들이 교체되도록 합니다 ("만약 소스가 새로운 것이면 덮어쓰기"로 FTP)

파일들을 덮어쓰기 전에, 맞춤화 되지 않고, 스타일 특성의 템플릿을 제거하십시오. (templates/styles/*, 및 혹시 하나라도 있다면 templates/yoursite/* 의 내용물들). 이전 버전은 종종 스타일 당 수정내역을 포함하고 있습니다. 이러한 파일들은 표준 배포판에서는 제거되었으며, 이는 오래된 파일들을 그대로 남겨두며 향상된 점들의 장점을 이용하지 못하게 됩니다.

SVN 를 통한 업데이트

SVN 을 사용하여 설치를 하는 경우, you can easily update via SVN 을 통하여 쉽게 갱신을 할 수 있습니다-> Get Code

1.7. 권한 확인

1.7.1. 파일과 폴더 권한

귀하의 서버가 티키 파일과 폴더 권한에 대하여 불평을 하고 있다면 (서버 구성에 의존합니다), 오류 메시지 혹은 비어있는 페이지를 볼 수 있을 것입니다. 이러한 실패한 시도는 일반적으로 오류 로그에 있습니다 (설정에 따라 다르기 때문에 웹호스에게 위치를 문의하십시오)

너무 적은 권한
메시지가 특정 디렉토리가 쓰기 불가능이라는 것을 지정하는 것을 나타내면, 지정된 디렉터리들의 권한을 변경해야 합니다. 티키는 모든 필요 디렉터리에 읽기(와 쓰기)가 가능한지 확인하는 시도를 할 것입니다. 이 오류 메시지는 문제를 어떻게 해결하는 지에 대한 설명을 포함할 것입니다.

너무 많은 권한
Internal Server Error 500, 비어있는 페이지 혹은 유사한 것들 보게 된다면, 파일들에 대한 권한이 귀하의 웹호스트에 대하여 적절하지 않을 수도 있습니다.

권한이 현재 "777" 으로 설정된 경우, FTP 클라이언트를 사용하여 파일들을 "755" 로 변경하십시오. 티키가 디렉터리 내부에 설치되어있을 경우, 티키 파일들을 포함한 폴더의 권한 역시 변경한다는 것을 확인하십시오.

쉘 접근권한이 있을 경우, 다음을 실행할 수 있습니다:

sh setup.sh

그리고 질문에 답을 하십시오. 어떤 답을 해야할 지 모르는 경우에는, 그냥 "확인" (enter) 를 클릭하셔서 기본값을 유지하십시오.

"sh setup.sh" 이 제대로 작동하지 않았을 경우, 귀하의 ./tiki/ 디렉터리에서 다음을 시도해 볼 수 있습니다

chmod -R 777 ./db ./dump ./img/wiki ./img/wiki_up ./img/trackers ./modules/cache ./temp ./temp/cache ./templates_c ./templates ./styles ./whelp/

다른 방법은 모든 디렉터리들에 대하여 권한을 설정하고 그 후 모든 파일들에 대하여 권한을 설정하는 것입니다. 예를 들면, 모든 디렉터리들에 대한 권한을 777 로 설정하고 모든 파일들에 대한 권한을 644 로 설정합니다, 쉘 접근을 통하여 다음의 별개의 명령어들을 사용합니다:

find [YOURDIR] -type d -exec chmod 777 {} \;

find [YOURDIR] -type f -exec chmod 644 {} \;

디렉터리 혹은 파일 권한 문제점들을 모두 수정한 후, 계속하려면 tiki-install.php 을 방문합니다.

1.7.2. SuPHP 문제점

SuPHP 을 보유한 시스템은 최대 755 권한이 필요합니다. 그룹은 쓰기가 허용되서는 절대 안됩니다 . 이는 웹서버의 도큐먼트 루트뿐만 아니라, 파일 시스템 내부의 완전 경로를 포함합니다. 잘못된 권한은 여기에서 500 Internal Server Error 오류를 야기할 수도 있습니다. 한 편으로는 적은 권한 (예를 들면 웹서버에 대한 x/execute/subdir entry 없이 750) 는 403 Forbidden Error 오류를 야기할 수 있습니다

1.7.3. 권한 매트릭스

무엇인가가 제대로 작동하지 않는 경우, 여러 개의 사례와 최저에서 최고 권한을 시도해 볼 수도 있습니다. 권한은 웹서버에 의하여 직접적으로 접근되는 데이터를 참조합니다 (티키 자체에 의하여 포함되는 파일들은 더 적은 권한을 가질 수 있으며, 그래야만 합니다):

소유권
사용자명:그룹명
SuPHP 없음
파일들 / '하위 디렉터리들
SuPHP 있음
파일들 / '하위 디렉터리들
webserver:webserver
600 - 666 / 700 - 777
?
user:user
604 - 666 / 705 - 777
600 - 644 / 701 - 755
user:webserver
660 - 666 / 770 - 777
?
webserver:user
660 - 666 / 770 - 777
?



디렉터리 혹은 파일 권한 문제점들을 모두 수정 한 후, 계속하려면 tiki-install.php 로 가십시오.

1.8. 데이터베이스를 업데이트하기 위하여 tiki-install.php

(A) 새로 설치

이 "새" 사이트의 tiki-install.php 페이지에서 "과거" 사이트에서 처럼 동일한 데이터베이스로 연결하십시오 ("이전" 사이트의 db/local.php 파일에서 이 정보를 찾을 수 있습니다) 그리고 사이트를 업그레으하기 위한 설명을 따르십시오. 설치가 아닌 업그레이드를 클릭해야 한다는 점을 명심하십시오, 아니면 데이터베이스를 완전히 날릴 수 있습니다.

주의: 5.1 이 후의 버전(5.3, 6.0, ...) 으로의 업그레이드를 대하여, 연결 설정을 재 설정하는 것을 권장해 드립니다, 동시에 "utf-8 연결 강요" 선택사항을 체크하고 화면상의 설명을 따르십시오.


더 이전의 브랜치와 버전 (예를 들면 티키3 장기지원버전의 브랜치 중 하나)로의 업그레이드에 대하여, 대안으로써 과거 사이트에서 db/local.php 를 새 사이트로 복사하여, 원할 경우, 정보입력 단계를 피할 수도 있습니다.

(B) 기존 내역 덮어서 설치

그렇다면, tiki-install.php 로 가서 "업그레이드" 버튼을 클릭하게 되면 데이터베이스를 업그레이드 할 것입니다. 티키는 기존의 db/local.php 파일을 읽고 이 정보를 사용할 것입니다.

주의: 하지만, 5.1 이 후 버전 (5.3, 6.0, ...)으로의 업그레이드에 대하여, 연결 설정을 재 설정하는 것을 권장해 드립니다, 동시에 "utf-8 연결 강요" 선택사항을 체크하고 화면상의 설명을 다르십시오.


설치프로그램이 이전에 잠금상태가 되어있는 경우 (잠금상태가 되어있는 것이 맞습니다), db/lock 을 삭제함으로써 잠금해지를 해야 합니다

업그레이드 동안 보안에 대한 선택

업그레이드/설치 동안 다음과 같은 2개의 중요한 보안관련 선택이 있습니다:

보안 로그인

설치 시 일반 설정을 구성할 때, "보안 (https) 로그인을 요구" 라는 선택사항이 있습니다. 브라우저와 사이트 서버 간 전송되는 데이터가 private 하게 유지되도록 이 선택사항을 선택하는 것을 권장합니다.

보안 로그인을 적용하기 위하여, 이 선택사항을 선택하는 것에 추가적으로, 귀하의 도메인에 대하여 보안 인증과 전용 IP 주소가 필요합니다. 이는 귀하의 웹호스팅 회사에서 취득하거나 구매가 가능하며, 보안 인증의 경우, 써드 파티에서 취득 및 구매가 가능합니다.

설치 프로그램 잠그기

설치 프로그램의 마지막 단계로써, 설치 프로그램이 귀하의 티키에 진입하는 버튼을 클릭하면 잠기게 됩니다. 설치의 마지막 단계에서 설치프로그램의 잠금을 하지 않는 선택사항이 있습니다. 실업무용 사이트에서는 설치프로그램을 잠그는 것을 적극 권장하고 있습니다. 이 선택사항은 개발용 사이트에 대해서만 편이를 위하여 제공되는 것입니다. 설치 프로그램은 사용자로 하여금 사이트의 데이터베이스를 변경하거나 파괴할 수 있게 합니다, 그러므로 설치가 완료되면 잠그는 것이 매우 중요합니다.

설치 프로그램이 실패할 경우 . . .

[+]

인코딩 문제를 수정해야 할 경우

 이전 버전에서 5.1 으로 5.1 혹은 더 새 버전으로

(A) 혹은 (B) 중 하나: 인코딩 문제를 수정 (5.0 혹은 이전 -> 5.1 혹은 이후)


티키 5.1 이전에는, 일부 사용자들이 자신들의 티키 내부에 이중 인코딩 문제를 가지고 있을 수 있었습니다. 이 잠재적 문제점을 모두를 위해 수정한다는 것을 확실히 하기 위해서, 5.0 을 포함한 그 이전 티키 버전에서 조금 더 신 티키 버전 (5.1, ...5.x; 6.0, 6.x...) 으로 업그레이드 하는 경우, tiki-install.php 스크립트의 방식에 의하여 3단계 방식을 한 번 따르는 것을 권장합니다.

1.8.1.1. db/local.php 내에서 utf-8 으로 연결 강요

위에서 간략하게 설명되었습니다. 조금 더 명확히 하기 위해서 아래에 상세하겨 설명되어 있습니다.

  • tiki-install.php 로 가서 4 단계: "Set the Database Connection" (데이터베이스 연결 설정) 까지 절차를 따릅니다
  • 이미 local.php 파일이 있을지라도, "Use Existing Connection" (기존 연결 사용) 대신 "Modify database connection" (데이터베이스 연결 수정)을 클릭하십시오. 이는 창의 하단 부분에 새 서식을 열게 될 것입니다
    확대하려면 클릭
    확대하려면 클릭
    • 하단에, "Always force connection to use UTF-8"라는 체크상자와 함께 "Character set" 이라는 부분이 있을 것입니다, 그 상자를 체크하십시오.
      확대하려면 클릭
      확대하려면 클릭

    그 서식을 이용하여 db/local.php 상세내역을 채워넣으시고, 준비가 되었으면 하단의 밑부분의 "Continue" (계속) 버튼을 클릭하십시오.
  • 설치 절차의 5단계로 진행하면, "Convert database and tables to UTF-8" (데이터베이스와 테이블을 UTF-8으로 변환) 할 기회가 생깁니다 (아래 참조).

1.8.1.2. 데이터베이스와 테이블을 UTF-8 로 변환

설치 절차의 5번째 단계에서 "Convert database and tables to UTF-8" (데이터베이스와 테이블을 UTF-8으로 변환)할 기회가 주어지며, 데이터베이스의 현재 인코딩 또한 보여집니다.

  • 데이터베이스의 현재 인코딩의 이름을 적어두십시오, 이는 다음 단계에서 필요하게 될 것이기 때문입니다.
    확대하려면 클릭
    확대하려면 클릭
  • 이제 "Convert database and tables to UTF-8" (데이터베이스와 테이블을 UTF-8 으로 변환) 버튼을 클릭할 수 있습니다.
  • 성공적으로 실행이 되고나면, 이 선택사항이 더 이상 보이지 않게 됩니다, 하지만 일반적 줄문, 즉 데이터베이스를 재설치를 원하는 지 혹은 새 티키 버전으로 "Automatically upgrade your existing database to" (기존 데이터베이스를 자동 업그레이드) 할 지 여부를 묻게 됩니다. 업그레이드 중이므로, 후자를 선택하십시오.
    확대하려면 클릭
    확대하려면 클릭


(주의: 아 단계는 db 데이터 정렬을 utf-8 로 변환합니다, 그리고 귀하의 db 테이블 또한 utf-8 문자세트를 사용하도록 변환합니다.)

1.8.1.3. 컨텐츠를 기존의 인코딩에서 utf-8 로 변환

최종적으로 기존의 데이터 베이스에서의 컨텐츠를 (위키 페이지의 내용물, 등등, 하지만 파일 및 그림 갤러리 내의 그림 첨부파일에 대한 경로 등등과 같은 선호설정도 포함) utf-8로 변환해야 합니다

  • 진행 방법은 "Upgrading and running into encoding issues?" (업그레이드 중 인코딩 문제에 직면?) 부분 밑의 최종 단계 안의 선택사항이 있습니다
    확대하려면 클릭
    확대하려면 클릭
  • "Previous table encoding" (이전 테이블 인코딩) 이란 드롭다운 메뉴에서, 귀하의 경우에 해당하는 것을 선택하십시오 (이전 단계에서 적어둔 것입니다), 그리고 "Dangerous: Fix double encoding" (위험: 이중 인코딩 수정) 버튼을 클릭하십시오


이 수정의 성격 상, 몇몇 빠른 변경의 확인 을 하는 것이 최선의 방법입니다.

축하합니다! 완료되었습니다.

설치프로그램을 잠그고 (추천함) 혹은 잠그지 않고 티키에 입장하실 수 있으며 티키를 평소처럼 사용하는 것을 계속할 수 있습니다.

문제가 발생할 경우, 일반적인 지원 채널을 통하여 피드백을 주십시오.

대안: 쉘을 통하여 데이터베이스 업그레이드하기

[+]

1.8.1. 업그레이드 검토


Upgrade Complete (업그레이드 완료) 메시지를 보게 되시길 바랍니다. 실패한 동작의 목록이 보일 수도 있습니다 (이전 버전에서는 흔한 일입니다). 존재하지 않는 행, 열, 혹은 테이블에 관하여 무슨 이야기가 있다면, 무시하는 것으로 시도해 볼 수 있습니다. 향후 참조를 위해서 오류의 목록을 복사하고 다른 곳에 붙여넣기 해 둔다음에, ignore(무시) 상자를 체크하고 '제발 되라' 라고 기원하십시오. 의심이 가는 경우, tiki-develop 메일링 리스트에서 친절한 친구들에게 업그레이드 오류에 관한 질문을 물어보십시오.

1.9. tiki-install.php 이후

마지막으로 tiki-install.php 스크립트를 비활성화 하고, 평소처럼 티키 사이트로 진입하십시오


1.10. .htaccess 파일 갱신

티키는 _htaccess 파일과 함께 배포됩니다. 이 것은 .htaccess 로 이름이 변경되어야 하며 이전 버전에 것을 교체해야 합니다. 사용자 지정으로 변경을 하셨다면, 새 파일에서 그 변경을 재작업 하셔야 합니다. Apache Clean URLs 을 참조하십시오

1.11. 테스트

문제로서 예상해야할 것들

  • 작동 방식의 변경
    • 기능이 활성화 했었지만 더 이상 활성화가 안되어 있을 경우 (예: 기본 작동 방식이 변경됨). 관리 패널로 가서 활성화해야 합니다.
  • 버그
    • 각각의 티키 버전은 수 많은 신규 기능을 가져옵니다. 하지만, 종종 향상된 기능들은 새 버그 또한 가져올 수도 있습니다 smile
  • 테마를 사용자 지정 변경하였을 경우, 이상하게 나타날 수 있습니다
    • 새 테마로 귀하의 사용자 지정 변경된 내역을 재통합하기 위하여 약간의 시간 할당을 계획하십시오.
  • MySQL 서버를 4에서 5로 업그레이드한 경우, 처음 로그인을 하게 되면, "Account disabled" (계정 비활성화됨) 오류를 얻게 될 수도 있습니다. 이를 수정하려면:
    mysql -u user_dbuser -p user_dbname -B -e "update users_users set waiting=NULL where waiting is not NULL and valid is NULL;"

어디를 찾아봐야 할까?

찾아봐야할 그 어떠한 특정적인 것에 대하여 귀하의 버전의 출시 메모 (release notes) 와 각각의 새 출시의 설명서 페이지 (예. Tiki2, Tiki3, Tiki4, Tiki5, Tiki6 ...) 를 살펴 보십시오

이제 뭘해야 하지?

  • 도움이 필요하신 경우, 티키 Irc 채팅 룸 혹은게시판 을 방문하십시오
  • 버그가 발견하신 경우, http://dev.tiki.org 에서 알려주십시오 (수정 가능하시다면 수정해 주십시오!)




1.11.1. 컨텐트 확인

세 웹사이트가 이전 웹사이트에서 모든 것을 포함하고 있는지 확인하십시오.

1.11.2. 이전에 사용했던 기능들이 아직 켜져 있는지 확인하십시오.

좀 더 상세히 말하자면, 구조체, 검색, 개별 플러그인, 및 기타 다른 기능들이 관리 패널에서 활성화 될 수 있습니다.

1.11.3. 잠재적으로 안전하지 않은 플러그인 호출을 수정하고 그들을 승인 혹은 거절 하십시오.

티키 4에서 부터, 티키 플러그인을 관리하는 새 시스템이 몇몇 플러그인의 인증을 요구하기 위해 추가 되었습니다. 잠재적으로 안전하지 않은 플러그인은 플러그인을 승인하는 것과 연관된 새 권한을 가진 사용자에 의하여 확인되어야만 합니다. 그러한 플러그인을 사용 중이었다면, 이제는 충분한 권한을 보유한 누군가가 그 것들을 승인하기 전까지 작동하지 않을 것입니다.

이제 iframe, dbreport, tag, sql, snarf, regex...등등을 포함하여, 어떤 플러그인을 어떤 사용자가 사용하려고 시도하면 플러그인 사용의 승인 혹은 거절을 위하여 어떤 신뢰할 수 있는 사용자/편집자/관리자에 의하여 확인되어야 합니다.

대기 중인 플러그인 호출의 목록은 언제든지 다음에서 발견할 수 있습니다: tiki-plugins.php

1.12. 테마 업그레이드

다음에서 메모를 수정하십시오
http://themes.tiki.org/Upgrading


추가 상세한 설명은 스타일과 테마 를 읽어 보십시오

추가 도움이 필요하십니까?

추가 설명이 필요한 경우, IRC 혹은 게시판에 문의 하십시오, 그리고 이곳으로 다시 돌아오셔서 습득하신 내용을 토대로 여기의 문서들을 업그레이드 해 주십시오. 이렇게 하면, 귀하께서 도움을 주실 수 있으며, 새 사용자들에게 쉽게 접근할 수 있도록 하는 것입니다.

관련 페이지


별칭


고급 사용자들을 위한 메모

[+]

Page last modified on Monday 02 June, 2014 00:54:42 GMT-0000

doc.tiki.org

Get Started

Admin Guide User Guide Bootstrap in Tiki

Keywords

Keywords serve as "hubs" for navigation within the Tiki documentation. They correspond to development keywords (bug reports and feature requests):

Accessibility (WAI and 508)
Accounting
Articles and Submissions
Backlinks
Banners
Batch
BigBlueButton audio/video/chat/screensharing
Blog
Bookmark
Browser Compatibility
Link Cache
Calendar
Category
Chat
Clean URLs
Comments
Communication Center
Compression (gzip)
Contacts (Address Book)
Contact us
Content Templates
Contribution
Cookie
Copyright
Credit
Custom Home and Group Home Page
Date and Time
Debugger Console
Directory of hyperlinks
Documentation link from Tiki to doc.tiki.org (Help System)
Docs
Draw
Dynamic Content
Dynamic Variable
External Authentication
FAQ
Featured links
File Gallery
Forum
Friendship Network (Community)
Gmap Google maps
Groups
Hotword
HTML Page
i18n (Multilingual, l10n, Babelfish)
Image Gallery
Import-Export
Install
Integrator
Interoperability
Inter-User Messages
InterTiki
Kaltura video management
Karma
Live Support
Login
Logs (system & action)
Look and Feel
Mail-in
Map with Mapserver
Menu
Meta Tags
Mobile Tiki and Voice Tiki
Mods
Module
MultiTiki
MyTiki
Newsletter
Notepad
Payment
Performance Speed / Load
Permissions
Platform independence (Linux-Apache, Windows/IIS, Mac, BSD)
Polls
Profiles
Profile Manager
Report
Toolbar
Quiz
Rating
Feeds
Score
Search engine optimization
Search
Search and Replace
Security
Semantic links
Shadowbox
Shadow Layers
Share
Shopping cart
Shoutbox
Slideshow
Smiley
Social Networks
Spam protection (Anti-bot CATPCHA)
Spellcheck
Spreadsheet
Stats
Surveys
Tags
Task
Tell a Friend, alert + Social Bookmarking
TikiTests
Theme CSS & Smarty
Trackers
Transitions
TRIM
User Administration including registration and banning
User Files
User Menu
Watch
WebDAV
Webmail
Web Services
Wiki History, page rename, etc
Wiki Syntax
Wiki structure (book and table of content)
Workspace
WSOD
WYSIWYCA
WYSIWYG
XMLRPC

Tiki Newsletter

Delivered fresh to your email inbox!
Newsletter subscribe icon
Don't miss major announcements and other news!
Contribute to Tiki